#
# Cookbook Name:: bacula-server
# Recipe:: storage
#
# Copyright 2015 Pavel Yudin
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

databag = data_bag_item(node['bacula']['databag_name'], node['bacula']['databag_item'])

package node['bacula']['storage_package'] do
  action :install
  version node['bacula']['version'] if node['bacula']['version']
end

directory node['bacula']['storage']['volumes_dir'] do
  owner node['bacula']['storage']['user']
  group node['bacula']['storage']['group']
  mode '0700'
  action :create
end

template '/etc/sysconfig/bacula-sd' do
  source 'bacula-sd.erb'
  owner 'root'
  group 'root'
  mode '0644'
  notifies :restart, 'service[bacula-sd]'
end

template '/etc/bacula/bacula-sd.conf' do
  source 'bacula-sd.conf.erb'
  owner 'root'
  group 'root'
  mode '0644'
  variables(sd_password: databag['sd_password'])
  notifies :restart, 'service[bacula-sd]'
end

service 'bacula-sd' do
  supports status: true, restart: true, reload: true
  action [:enable, :start]
end
